# GimpUi.NumberPairEntry

    const GimpUi = imports.gi.GimpUi;

    let numberPairEntry = new GimpUi.NumberPairEntry({
        separators: value,
    });

A Gtk.Entry subclass to enter ratios.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Entry
        - GimpUi.NumberPairEntry

## Constructors

- GimpUi.NumberPairEntry.new

## Methods

- GimpUi.NumberPairEntry.prototype.get_aspect
- GimpUi.NumberPairEntry.prototype.get_default_text
- GimpUi.NumberPairEntry.prototype.get_default_values
- GimpUi.NumberPairEntry.prototype.get_ratio
- GimpUi.NumberPairEntry.prototype.get_user_override
- GimpUi.NumberPairEntry.prototype.get_values
- GimpUi.NumberPairEntry.prototype.set_aspect
- GimpUi.NumberPairEntry.prototype.set_default_text
- GimpUi.NumberPairEntry.prototype.set_default_values
- GimpUi.NumberPairEntry.prototype.set_ratio
- GimpUi.NumberPairEntry.prototype.set_user_override
- GimpUi.NumberPairEntry.prototype.set_values

## Properties

- allow-simplification
- aspect
- default-left-number
- default-right-number
- default-text
- left-number
- max-valid-value
- min-valid-value
- ratio
- right-number
- separators
- user-override

## Signals

- numbers-changed
- ratio-changed